import { InitFlags } from './init';
import { PackageJson } from './verify/types';
export declare type FromTo = {
    from: string | string[];
    to: string | string[];
};
export interface InjectOptions {
    basePath: string;
    requireUserConfirmation?: boolean;
    flags: InitFlags;
    dependencies?: Record<string, string>;
    devDependencies?: Record<string, string>;
    peerDependencies?: Record<string, string>;
    validate?: boolean;
}
export interface PackageData {
    user?: {
        name?: string;
        email?: string;
    };
    pluginName?: string;
    license?: {
        id: string;
        text: string;
    };
    description?: string;
    pkg?: PackageJson;
    gitOrigin?: string;
}
export declare function inject(options: InjectOptions): Promise<void>;
export declare function writeAssets(files: FromTo[], { basePath, flags }: InjectOptions): Promise<string[]>;
