/// <reference types="node" />
import { TypedFlags } from 'meow';
import fs from 'fs';
import { TsConfig } from './types';
export declare const readFile: typeof fs.promises.readFile;
export declare const verifyPackageConfigDefaults: {
    readonly packageName: true;
    readonly module: true;
    readonly tsconfig: true;
    readonly tsc: true;
    readonly dependencies: true;
    readonly babelConfig: true;
    readonly sanityV2Json: true;
    readonly eslintImports: true;
    readonly scripts: true;
    readonly 'pkg-utils': true;
    readonly nodeEngine: true;
    readonly studioConfig: true;
};
export declare type VerifyPackageConfig = Partial<Record<keyof typeof verifyPackageConfigDefaults, boolean>>;
export declare const verifyFlags: {
    readonly single: {
        readonly default: false;
        readonly type: "boolean";
    };
    readonly debug: {
        readonly default: false;
        readonly type: "boolean";
    };
    readonly silent: {
        readonly type: "boolean";
        readonly default: false;
    };
    readonly verbose: {
        readonly type: "boolean";
        readonly default: false;
    };
};
export declare type VerifyFlags = TypedFlags<typeof verifyFlags>;
export declare function disableCheckText(checkKey: string): string;
export declare function createValidator(verifyConfig: VerifyPackageConfig, flags: VerifyFlags, errors: string[]): (checkKey: keyof VerifyPackageConfig, task: () => Promise<string[] | undefined>) => Promise<void>;
export declare function runTscMaybe(verifyConfig: VerifyPackageConfig, tsConfig?: TsConfig): Promise<void>;
