/// <reference types="node" />
import fs from 'fs';
import { InitFlags } from '../actions/init';
import { ManifestPaths } from '../sanity/manifest';
export declare const stat: typeof fs.stat.__promisify__;
export declare const mkdir: typeof fs.mkdir.__promisify__;
export declare const readdir: typeof fs.readdir.__promisify__;
export declare const copyFile: typeof fs.copyFile.__promisify__;
export declare const readFile: typeof fs.readFile.__promisify__;
export declare const writeFile: typeof fs.writeFile.__promisify__;
export declare function hasSourceEquivalent(compiledFile: string, paths: ManifestPaths): Promise<boolean>;
export declare function hasSourceFile(filePath: string, paths?: ManifestPaths): Promise<boolean>;
export declare function hasCompiledFile(filePath: string, paths?: ManifestPaths): Promise<boolean>;
export declare function buildCandidateExists(pathStub: string): Promise<boolean>;
export declare function fileExists(filePath: string): Promise<boolean>;
export declare function readJsonFile<T>(filePath: string): Promise<T>;
export declare function writeJsonFile(filePath: string, content: Record<string, unknown>): Promise<void>;
export declare function writeFileWithOverwritePrompt(filePath: string, content: string, options: {
    default?: any;
    force?: boolean;
} & fs.ObjectEncodingOptions): Promise<boolean>;
export declare function copyFileWithOverwritePrompt(from: string, to: string, flags: InitFlags): Promise<boolean>;
export declare function fileEqualsData(filePath: string, content: string): Promise<boolean>;
export declare function filesAreEqual(file1: string, file2: string): Promise<boolean>;
export declare function getFileHash(filePath: string, allowMissing?: boolean): Promise<unknown>;
export declare function ensureDir(dirPath: string): Promise<void>;
export declare function isEmptyish(dirPath: string): Promise<boolean>;
export declare function readFileContent({ filename, basePath, }: {
    filename: string;
    basePath: string;
}): Promise<string | undefined>;
export declare function readJson5File<T>({ filename, basePath, }: {
    filename: string;
    basePath: string;
}): Promise<T | undefined>;
export declare function parseJson5<T>(content: string, errorKey: string): T;
